إستخدام المكتبه

الإعلانات

إستخدام المكتبه <uses-library>

 

إستخدام المكتبه <uses-library>

ملاحظة: يستخدم قوقل بلي عناصر <uses-library> المعلنه في ملف الإيضاح الخاص بتطبيقك، لتصفية تطبيقك من الأجهزة التي لا تستوفي متطلبات مكتبته. لمزيد من المعلومات حول التصفيه، راجع مرشحات قوقل بلاي.

بناء الجمله:

وراد في:
التطبيقات

الوصف:

عنصر يحدد مكتبة مشتركة يجب ربط التطبيق بها. هذا العنصر يطلب من النظام تضمين كود المكتبه في محمل الفئة للحزمة.

جميع حزم الأندرويد مثل (android.app, android.content, android.view, android.widget) موجودة في المكتبة الإفتراضية التي ترتبط بها كافة التطبيقات تلقائياً.

مع ذلك، بعض الحزم مثل (الخرائط) موجودة في مكتبات منفصله لا يتم ربطها تلقائياً. راجع مستندات الحزم التي تستخدمها لتحديد المكتبة التي تحتوي على كود الحزمة.

يؤثر هذا العنصر أيضاً على تثبيت التطبيق على جهاز معين و إتاحة التطبيق على قوقل بلي.

التثبيت

إذا تواجد هذا العنصر و تم تعيين سمته android:required على القيمة “صحيح”، فلن يسمح إطار عمل مدير الحزم للمستخدم بتثبت التطبيق إلا إن كانت المكتبه موجودة على جهاز المستخدم.

سمة android:required موصوفة بالتفصيل في القسم التالي.

 

السمات:

android:name

اسم المكتبه. يتم توفير الأسم بواسطة وثائق الحزمة التي تستخدمها. مثال، “android.test.runner” هو حزمة تحتوي على فئات إختبار الأندرويد.

android:required

قيمة منطقية تشير إلى ما إذا كان التطبيق يتطلب المكتبه المحددة في android:name:

  • القيمة “صحيح”: تعني أن التطبيق لن يعمل بدون هذه المكتبه. لن يسمح النظام بتثبيت التطبيق على جهاز لا يحتوي على المكتبه.
  •  القيمة “خطأ”: يمكن للتطبيق إستخدام المكتبه إن كانت موجودة، ولكن تم تصميمه للعمل بدونها إذا لزم الأمر. سيسمح النظام بتثبيت التطبيق، حتى لو لم تكن المكتبة موجودة. إذا كنت تستخدم القيمة “خطأ”، فأنت مسؤول عن التحقق من وجود المكتبه أثناء التشغيل.

للتحقق من وجود مكتبه، يمكنك إستخدام الإنعكاس لتحديد توافر فئة معينه.

القيمة الإفتراضية هي “صحيح”.

مقدمة في:
API 7

مقدم في:

API 1

راجع أيضاً:

مدير الحزم.

 


للإطلاع على المقال باللغة الإنجليزية أضغط هنا.

الإعلانات